/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JPanel.java to edit this template
 */
package vista;

import java.awt.Color;
import java.awt.event.ActionListener;
import javax.swing.ImageIcon;

/**
 *
 * @author Ashley
 */
public class JpnlListaRecetas extends javax.swing.JPanel {

    private String path = "";

    public JpnlListaRecetas() {
        initComponents();
        setTransparencia();
    }//Fin constructor

    public void escuchar(ActionListener controladorFrmLista) {
        btnVolver.addActionListener(controladorFrmLista);
        btnSiguiente.addActionListener(controladorFrmLista);
    }//Fin escuchar

    public void setTransparencia() {
        txtNombre1.setOpaque(false);
        txtNombre1.setBackground(new Color(0, 0, 0, 0));
        txtNombre2.setOpaque(false);
        txtNombre2.setBackground(new Color(0, 0, 0, 0));
        txtNombre3.setOpaque(false);
        txtNombre3.setBackground(new Color(0, 0, 0, 0));
    }//Fin setTransparencia

    public void setTxtNombre1(String nombreReceta) {
        this.txtNombre1.setText(nombreReceta);
    }//Fin setTxtNombre1

    public String getTxtNombre1() {
        if (txtNombre1.getText().equals("")) {
            return "Nada";
        }//Fin if
        else {
            return txtNombre1.getText();
        }//Fin else
    }//Fin getTxtNombre1

    public void setTxtNombre2(String nombreReceta) {
        this.txtNombre2.setText(nombreReceta);
    }//Fin setTxtNombre2

    public String getTxtNombre2() {
        if (txtNombre2.getText().equals("")) {
            return "Nada";
        }//Fin if
        else {
            return txtNombre2.getText();
        }//Fin else
    }//Fin getTxtNombreReceta

    public void setTxtNombre3(String nombreReceta) {
        this.txtNombre3.setText(nombreReceta);
    }//Fin setTxtNombre3

    public String getTxtNombre3() {
        if (txtNombre3.getText().equals("")) {
            return "Nada";
        }//Fin if
        else {
            return txtNombre3.getText();
        }//Fin else
    }//Fin getTxtNombre3

    public void setImagen1(String path) {
        this.path = path;
        if (path.equals("limpiar")) {
            jlFoto1.setIcon(null);
        } else {
            jlFoto1.setIcon(new ImageIcon(path));
        }//Fin else
    }//Fin setImagen1

    public void setImagen2(String path) {
        this.path = path;
        if (path.equals("limpiar")) {
            jlFoto2.setIcon(null);
        } else {
            jlFoto2.setIcon(new ImageIcon(path));
        }//Fin else
    }//Fin setImagen2

    public void setImagen3(String path) {
        this.path = path;
        if (path.equals("limpiar")) {
            jlFoto3.setIcon(null);
        } else {
            jlFoto3.setIcon(new ImageIcon(path));
        }//Fin else
    }//Fin setImagen3

    /**
     * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnVolver = new javax.swing.JButton();
        btnSiguiente = new javax.swing.JButton();
        jlFoto3 = new javax.swing.JLabel();
        jlFoto1 = new javax.swing.JLabel();
        jlFoto2 = new javax.swing.JLabel();
        txtNombre1 = new javax.swing.JTextField();
        txtNombre2 = new javax.swing.JTextField();
        txtNombre3 = new javax.swing.JTextField();
        jlFondo = new javax.swing.JLabel();

        setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        btnVolver.setActionCommand("volver");
        btnVolver.setBorderPainted(false);
        btnVolver.setContentAreaFilled(false);
        add(btnVolver, new org.netbeans.lib.awtextra.AbsoluteConstraints(155, 590, 200, 70));

        btnSiguiente.setActionCommand("siguiente");
        btnSiguiente.setBorderPainted(false);
        btnSiguiente.setContentAreaFilled(false);
        add(btnSiguiente, new org.netbeans.lib.awtextra.AbsoluteConstraints(1005, 590, 210, 70));
        add(jlFoto3, new org.netbeans.lib.awtextra.AbsoluteConstraints(888, 110, 320, 370));
        add(jlFoto1, new org.netbeans.lib.awtextra.AbsoluteConstraints(151, 110, 320, 370));
        add(jlFoto2, new org.netbeans.lib.awtextra.AbsoluteConstraints(519, 110, 320, 370));

        txtNombre1.setFont(new java.awt.Font("Segoe UI Emoji", 1, 20)); // NOI18N
        txtNombre1.setForeground(new java.awt.Color(255, 255, 255));
        txtNombre1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtNombre1.setBorder(null);
        txtNombre1.setEnabled(false);
        add(txtNombre1, new org.netbeans.lib.awtextra.AbsoluteConstraints(173, 502, 280, 30));

        txtNombre2.setFont(new java.awt.Font("Segoe UI Emoji", 1, 20)); // NOI18N
        txtNombre2.setForeground(new java.awt.Color(255, 255, 255));
        txtNombre2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtNombre2.setBorder(null);
        txtNombre2.setEnabled(false);
        add(txtNombre2, new org.netbeans.lib.awtextra.AbsoluteConstraints(540, 500, 280, 30));

        txtNombre3.setFont(new java.awt.Font("Segoe UI Emoji", 1, 20)); // NOI18N
        txtNombre3.setForeground(new java.awt.Color(255, 255, 255));
        txtNombre3.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtNombre3.setBorder(null);
        txtNombre3.setEnabled(false);
        add(txtNombre3, new org.netbeans.lib.awtextra.AbsoluteConstraints(910, 500, 270, 30));

        jlFondo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/Lista.png"))); // NOI18N
        add(jlFondo, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnSiguiente;
    private javax.swing.JButton btnVolver;
    private javax.swing.JLabel jlFondo;
    private javax.swing.JLabel jlFoto1;
    private javax.swing.JLabel jlFoto2;
    private javax.swing.JLabel jlFoto3;
    private javax.swing.JTextField txtNombre1;
    private javax.swing.JTextField txtNombre2;
    private javax.swing.JTextField txtNombre3;
    // End of variables declaration//GEN-END:variables
}//Fin clase
